/*
 *  ESScriptingPluginView.h
 *  Flash'In'App
 *
 *  Copyright 2009 Eltima Software. All rights reserved.
 *
 *	Flash'In'App is not free since version 2.0.
 *	If you plan to integrate it in your project, please, purchase a license at http://mac.eltima.com/flashinapp.html
 *	Questions? Please, contact Eltima at sales@eltima.com or visit http://mac.eltima.com for more info
 *
 */

#import <Cocoa/Cocoa.h>
#import "ESNetscapePluginView.h"

@interface ESScriptingPluginView : ESNetscapePluginView
{
	void *jsRuntime;
	void *jsContext;
  void *jsGlobalObject;

	NPObject *windowScriptObject;
}

/*
 * these methods actually call plugin's functions with the 'name' name via 'invoke'
 * for instance, Flash plugin will have Play, IsPlaying, StopPlay functions
 
 * the first method calls this function without arguments
 * the second method calls this function with one argument
 * the last one calls this function with several (array of) arguments
 */
- (id) invokeFunction:(NSString *)name;
- (id) invokeFunction:(NSString *)name withArgument:(id)argument;
- (id) invokeFunction:(NSString *)name withArguments:(NSArray *)arguments;

/*
 * Check whether plugin can execute the function with the following name
 */
- (BOOL) hasFunction:(NSString *)aName;

@end

